<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import { Link } from "@inertiajs/vue3";
import { useForm } from "@inertiajs/vue3";

const form = useForm([]);

const props = defineProps({
    items: Array,
});

const trashItem = (item) => {
    let isConfirm = confirm("Вы действительно хотите удалить предмет?");

    if (isConfirm){
        form.delete(route('admin.items.destroy',item), {
            preserveScroll: true
        });
    }
}
</script>

<template>
    <AdminAppLayout>
        <div class="row">
            <div class="col-md-12">
                <h1>Предметы</h1>
                <div class="col-12">
                    <div class="row justify-content-end">
                        <div class="col-2">
                            <Link as='button' :href="route('admin.items.create')" class="btn btn-success">
                                Добавить
                            </Link>
                        </div>
                    </div>
                </div>
                <table class="table">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Заголовок</th>
                        <th scope="col">Изображение</th>
                        <th scope="col">Опции</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr v-for="(item, key) of items" :key="key">
                        <th scope="row">{{ ++key }}</th>
                        <td>{{ item.name }}</td>
                        <td>
                            <img width="100" :src="item.image" />
                        </td>
                        <td>
                            <div
                                class="btn-group"
                                role="group"
                                aria-label="Basic example"
                            >
<!--                                <Link-->
<!--                                    method="get"-->
<!--                                    type="button"-->
<!--                                    class="btn btn-success"-->
<!--                                    :href="route('admin.items.edit', {item:item.id})"-->
<!--                                >-->
<!--                                    Редактировать-->
<!--                                </Link>-->
                                <button
                                    type="button"
                                    class="btn btn-danger"
                                    @click="trashItem(item)"
                                >
                                    Удалить
                                </button>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>


    </AdminAppLayout>

</template>

<script setup>
</script>

<style scoped>
.select-template{
    display: flex;
}</style>
